Package ru.bitel.bgbilling.kernel.event.events

# Class ContractTariffUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractTariffUpdateEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractTariffUpdateEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - изменение тарифа договора.
Вызывается по факту добавления или изменения тарифного плана договора.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractTariffUpdateEvent()` |
  `` | `ContractTariffUpdateEvent​(int userId, int cid, ContractTariff contractTariff, boolean isAddTariff)` | Конструктор события.
  `` | `ContractTariffUpdateEvent​(int userId, int cid, ContractTariff contractTariff, boolean isAddTariff)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractTariff` | `getContractTariff()` | Возвращает добавленный/измененный тариф договора
  `boolean` | `isAddTariff()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffUpdateEvent

    protected ContractTariffUpdateEvent()

  - ### ContractTariffUpdateEvent

    public ContractTariffUpdateEvent​(int userId, int cid, ContractTariff contractTariff, boolean isAddTariff)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - код договора
      `contractTariff` - - добавленный/измененный тариф договора

  - ### ContractTariffUpdateEvent

    public ContractTariffUpdateEvent​(int userId, int cid, ContractTariff contractTariff, boolean isAddTariff)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - код договора
      `contractTariff` - - добавленный/измененный тариф договора

- ## Method Details

  - ### getContractTariff

    public ContractTariff getContractTariff()
    Возвращает добавленный/измененный тариф договора
    Returns:
      contractTariff - тарифный план договора

  - ### isAddTariff

    public boolean isAddTariff()
    Returns:
      - true, если тариф был добавлен, false - он был изменен.